interface ScanOptions {
    keys: boolean;
    values: boolean;
    detectSentences: boolean;
    detectReservedWords: boolean;
}
interface ScanRequestParams {
    url?: string;
    body?: any;
    headers?: Record<string, string>;
    formData?: FormData;
    cookies?: Record<string, string>;
    options?: {
        checkUrl?: Partial<ScanOptions>;
        checkBody?: Partial<ScanOptions>;
        checkHeaders?: Partial<ScanOptions>;
        checkFormData?: Partial<ScanOptions>;
        checkCookies?: Partial<ScanOptions>;
    };
}
export declare function scanRequest(params: ScanRequestParams): string[];
export {};
